abstract class LicenseRepository {
  Future<bool> updateLicense();

  Future<bool> cleanLicense();

  Future<bool> resetLicense();

  Future<String?> getModule(String key);

  Future<bool> setModule<T>(String key, T value);

  Future<List<String>> getLicense();
}
